import { Request, Response } from 'express';

function getFakeCaptcha(req: Request, res: Response) {
  return res.json('captcha-xxx');
}
/**

{
  "student_id": 123, // 学生ID
  "xm": "张尚", // 学生姓名
  "xmpy": "zhangshang", // 姓名拼音
  "cym": "张山", // 曾用名
  "xbm": "男", // 性别 有字典
  "csrq": "1980/01/03", // 出生日期
  "mzm": "hz", // 民族 有字典
  "zzmmm": "ty", // 政治面貌 有字典
  "sfzjlxm": "1",  // 身份证件类型代码 有字典
  "sfzjh": "202102198002192125",  // 身份证件号
  "dszybz": "0",  // 独生子女标志 0：不是 1：是
  "sqznbz": "0",  // 随迁子女标志 0：不是 1：是
  "jcwgrysqznbz": "0",  // 进城务工人员随迁子女标志 0：不是 1：是
  "gebz": "0", // 孤儿标志 0：不是 1：是
  "lsetbz": "0", // 留守儿童标志 0：不是 1：是
  "cjbz": "0",  // 残疾标志 0：不是 1：是
  "class_id": 214, // 班级ID
  "bureau_id": 2314, // 学校ID
}

 */

// 代码中会兼容本地 service mock 以及部署站点的静态数据
export default {
  // 支持值为 Object 和 Array
  'GET /api/currentUser': {
    name: 'Admin',
    avatar: 'https://gw.alipayobjects.com/zos/antfincdn/XAosXuNZyF/BiazfanxmamNRoxxVxka.png',
    userid: '00000001',
    email: 'antdesign@alipay.com',
    signature: '海纳百川，有容乃大',
    title: '大数据专家',
    group: '蚂蚁金服－某某某事业群－某某平台部－某某技术部－智慧校园专家组',
    tags: [
      {
        key: '0',
        label: '人工智能',
      },
      {
        key: '1',
        label: '专注设计',
      },
      {
        key: '2',
        label: '分布式存储',
      },
      {
        key: '3',
        label: '大数据',
      },
      {
        key: '4',
        label: '物联网',
      },
      {
        key: '5',
        label: '边缘化计算',
      },
    ],
    notifyCount: 12,
    unreadCount: 11,
    country: 'China',
    geographic: {
      province: {
        label: '浙江省',
        key: '330000',
      },
      city: {
        label: '杭州市',
        key: '330100',
      },
    },
    address: '西湖区工专路 77 号',
    phone: '0752-268888888',
  },
  // GET POST 可省略
  'GET /api/users': [
    {
      key: '1',
      name: 'John Brown',
      age: 32,
      address: 'New York No. 1 Lake Park',
    },
    {
      key: '2',
      name: 'Jim Green',
      age: 42,
      address: 'London No. 1 Lake Park',
    },
    {
      key: '3',
      name: 'Joe Black',
      age: 32,
      address: 'Sidney No. 1 Lake Park',
    },
  ],
  'POST /api/login/account': (req: Request, res: Response) => {
    const { password, userName, type } = req.body;
    if (password === 'ant.design' && userName === 'admin') {
      res.send({
        status: 'ok',
        type,
        currentAuthority: 'admin',
      });
      return;
    }
    if (password === 'ant.design' && userName === 'user') {
      res.send({
        status: 'ok',
        type,
        currentAuthority: 'user',
      });
      return;
    }
    res.send({
      status: 'error',
      type,
      currentAuthority: 'guest',
    });
  },
  'POST /api/register': (req: Request, res: Response) => {
    res.send({ status: 'ok', currentAuthority: 'user' });
  },
  'GET /api/500': (req: Request, res: Response) => {
    res.status(500).send({
      timestamp: 1513932555104,
      status: 500,
      error: 'error',
      message: 'error',
      path: '/base/category/list',
    });
  },
  'GET /api/404': (req: Request, res: Response) => {
    res.status(404).send({
      timestamp: 1513932643431,
      status: 404,
      error: 'Not Found',
      message: 'No message available',
      path: '/base/category/list/2121212',
    });
  },
  'GET /api/403': (req: Request, res: Response) => {
    res.status(403).send({
      timestamp: 1513932555104,
      status: 403,
      error: 'Unauthorized',
      message: 'Unauthorized',
      path: '/base/category/list',
    });
  },
  'GET /api/401': (req: Request, res: Response) => {
    res.status(401).send({
      timestamp: 1513932555104,
      status: 401,
      error: 'Unauthorized',
      message: 'Unauthorized',
      path: '/base/category/list',
    });
  },

  'GET  /api/login/captcha': getFakeCaptcha,
};
