export interface TableListItem {
  area_level_id: string;
  area_code: string;
  children: TableListItem[];
  key: number;
  disabled?: boolean;
  href: string;
  avatar: string;
  name: string;
  title: string;
  owner: string;
  desc: string;
  callNo: number;
  status: number;
  updatedAt: Date;
  createdAt: Date;
  progress: number;
  isLeaf:boolean;
}

export interface TableListPagination {
  total: number;
  pageSize: number;
  current: number;
}

export interface TableListData {
  list: TableListItem[];
  pagination?: Partial<TableListPagination>;
}

export interface TableListParams {
  id: TableListParams;
  sorter: string;
  status: string;
  name: string;
  pageSize: number;
  currentPage: number;
}
