import React from 'react';
// import { Typography } from 'antd';
import CascadeGeographic from '@/components/CascadeGeographic';

import { Cascader } from 'antd';

const options = [
  {
    value: 'zhejiang',
    label: 'Zhejiang',
    isLeaf: false,
  },
  {
    value: 'jiangsu',
    label: 'Jiangsu',
    isLeaf: false,
  },
];

class LazyOptions extends React.Component {
  state = {
    options,
  };

  onChange = (value, selectedOptions) => {
    console.log(value, selectedOptions);
  };

  loadData = selectedOptions => {
    console.log('loadData');
    console.log(this.state);
    const targetOption = selectedOptions[selectedOptions.length - 1];
    targetOption.loading = true;

    // load options lazily
    setTimeout(() => {
      console.log('setTimeout');
      console.log(this.state);
      targetOption.loading = false;

      targetOption.children = [
        {
          label: `${targetOption.label} Dynamic 1`,
          value: 'dynamic1',
        },
        {
          label: `${targetOption.label} Dynamic 2`,
          value: 'dynamic2',
        },
      ];
      /*
      this.setState({
        options: [...this.state.options],
      });
      */
    }, 1000);
  };

  render() {
    console.log('render');
    console.log(this.state);
    return (
      <div>
        <Cascader
          options={this.state.options}
          loadData={this.loadData}
          onChange={this.onChange}
          changeOnSelect
        />
        <CascadeGeographic></CascadeGeographic>
      </div>
    );
  }
}

export default LazyOptions;

/*
export default (): React.ReactNode => (
  <CascadeGeographic></CascadeGeographic>
); */
