import { Form, Input, Modal,Select,DatePicker,Cascader,Tooltip,Row,Col,Radio } from 'antd';
import { FormComponentProps } from 'antd/es/form';
import React from 'react';
import styles from './PasswordPanel.less'


const FormItem = Form.Item;


interface PasswordPanelProps extends FormComponentProps {
  modalVisible: boolean;
  handleAdd: (fieldsValue:any) => void;
  handleModalVisible: () => void;
  handleType:() => void;
  type:boolean;
}
const PasswordPanel: React.FC<PasswordPanelProps> = props => {
  const { modalVisible, form, handleAdd, handleModalVisible,type,handleType
  } = props;

  const okHandle = () => {
    form.validateFields((err, fieldsValue) => {
      if (err) return;
      // form.resetFields();
      handleAdd(fieldsValue);
    });
  };




  return (
    <Modal
      destroyOnClose
      title="修改密码"
      visible={modalVisible}
      onOk={okHandle}
      onCancel={() => handleModalVisible()}
      width="800px"
    >
    <input type="password" style={{display:'none',width:'0',height:'0'}} />
    <input data-placeholder="请输入密码" name="password" data-required="true"  type="password" autocomplete="new-password" data-max-length="50" tabindex="2" spellcheck="false" id="auto-id-1505904797992" placeholder="请输入密码" 
    style={{display:'none'}}
    />


      
      {/* 原密码 */}
      <FormItem labelCol={{ span: 6 }} wrapperCol={{ span: 15 }} label="原密码">
        {form.getFieldDecorator('local_pass', {
          rules: [
            {
              required: true,
              message: '请输入原密码',
            },
            {
              min: 6,
              max: 18,
              message: '长度不在范围内',
            },
            {
                pattern: new RegExp('^\\w+$', 'g'),
                message: '密码必须为字母或者数字',
            },
          ],})(<Input autocomplete="off" placeholder="请输入原密码" maxLength={18} className={styles.inputPass}
          />)}
      </FormItem>
         {/* 新密码 */}
       <FormItem labelCol={{ span: 6 }} wrapperCol={{ span: 15 }} label="新密码">
        {form.getFieldDecorator('new_pass', {
          rules: [
            {
              required: true,
              message: '请输入新密码',
            },
            {
              min: 6,
              max: 18,
              message: '长度不在范围内',
            },
            {
                pattern: new RegExp('^\\w+$', 'g'),
                message: '密码必须为字母或者数字',
            },
          ],})(<Input autocomplete="off" placeholder="请输入新密码" maxLength={18} className={styles.inputPass}
          />)}
      </FormItem>
         {/* 确认密码 */}
         <FormItem labelCol={{ span: 6 }} wrapperCol={{ span: 15 }} label="确认密码">
        {form.getFieldDecorator('sure_pass', {
          rules: [
            {
              required: true,
              message: '请再次输入新密码',
            },
            {
              min: 6,
              max: 18,
              message: '长度不在范围内',
            },
            {
                pattern: new RegExp('^\\w+$', 'g'),
                message: '密码必须为字母或者数字',
            },
          ],})(<Input autocomplete="off" placeholder="请再次输入新密码" maxLength={18} className={styles.inputPass}
          />)}
      </FormItem>
    </Modal>
  );

 
};

export default Form.create<PasswordPanelProps>()(PasswordPanel);
