import request from '@/utils/request';
// eslint-disable-next-line import/no-unresolved
import { TableListParams } from './data.d';

/**
 * 教辅单位
 * @param params
 */

//  获取已启用教育局
export async function EnableEduInfo(params: TableListParams) {
  return request('/base/organization/PageEnableEduInfo', {
    params,
  });
}

// 获取未启用的教育局列表
export async function fetchDisableEduList(params: TableListParams) {
  return request('/base/organization/PageDisableEduInfo', {
    params,
  });
}
// 根据教育局ID获取教育局信息
export async function GetEduInfoById(params: TableListParams) {
  return request('/base/organization/GetEduInfoById', {
    params,
  });
}

// 启用教育局
export async function EnableEdu(params: TableListParams) {
  return request('/base/organization/EnableEdu', {
    method: 'post',
    data: {
      ...params,
    },
    // requestType: 'form'
  });
}
// 禁用教育局
export async function DisableEdu(params: TableListParams) {
  return request('/base/organization/DisableEdu', {
    method: 'post',
    data: {
      ...params,
    },
    // requestType: 'form'
  });
}

// 修改教育局信息
export async function UpdateEduInfo(params: TableListParams) {
  return request('/base/organization/UpdateEduInfo', {
    method: 'POST',
    data: {
      ...params,
    },
  });
}
