import request from '@/utils/request';
import { TableListParams } from './data.d';

/** *******************************************
 * 当行政区划API不提供唯一URI，采用多URI时
 * ********************************************
 */

/**
 * 拆分接口取数据
 * [省][市][区]
 * [00][00][00]
 */
export async function queryGeographic(params: TableListParams) {
  const id = params && params.id ? params.id : '100000'; // id='100000' 显示省级行政区
  const data = { areaCode: id, limit: 1000, page: params.currentPage || 1 };
  /**
   * 数据格式化处理
   */
  return request('/base/area/PageGovArea', {
    method: 'GET',
    params: data,
  });
}

export async function removeGeographic(params: TableListParams) {
  return request('/base/area/DeleteGovArea', {
    method: 'POST',
    data: {
      ...params,
      // method: 'delete',
    },
  });
}

export async function addGeographic(params: TableListParams) {
  return request('/base/area/AddGovArea', {
    method: 'POST',
    data: {
      ...params,
      method: 'post',
    },
  });
}

export async function updateGeographic(params: TableListParams) {
  return request('/base/area/UpdateGovArea', {
    method: 'POST',
    data: {
      ...params,
      // method: 'update',
    },
  });
}
