import { Card, Radio } from 'antd';

import { FormattedMessage } from 'umi-plugin-react/locale';
import { RadioChangeEvent } from 'antd/es/radio';
import React from 'react';
import { VisitDataType } from '../data';
import { Pie } from './Charts';
import Yuan from '../utils/Yuan';
import styles from '../style.less';

const ProportionSalesTeacher = ({
  dropdownGroup,
  salesType,
  loading,
  salesPieData,
  handleChangeSalesType,
}: { 
  loading: boolean;
  dropdownGroup: React.ReactNode;
  salesType: 'all' | 'online' | 'stores';
  salesPieData: VisitDataType[];
  handleChangeSalesType?: (e: RadioChangeEvent) => void;
}) => (
    <Card
      loading={loading}
      className={styles.salesCard}
      bordered={false}
      title={"教师数统计" 
        // <FormattedMessage
        //   id="dashboard-analysis.analysis.the-proportion-of-sales"
        //   defaultMessage="The Proportion of Sales"
        // />
      }
      style={{
        height: '100%',
      }}
      extra={null}
    >
      <div>
        {/* <h4 style={{ marginTop: 8, marginBottom: 32 }}>
        <FormattedMessage id="dashboard-analysis.analysis.sales" defaultMessage="Sales" />
      </h4> */}
        <Pie
          hasLegend
          // subTitle={<FormattedMessage id="dashboard-analysis.analysis.sales" defaultMessage="Sales" />}
          // total={() => <Yuan>{salesPieData.reduce((pre, now) => now.y + pre, 0)}</Yuan>}
          data={salesPieData}
          valueFormat={value => <Yuan>{value}</Yuan>}
          height={360}
          lineWidth={4}
        />
      </div>
    </Card>
  );

export default ProportionSalesTeacher;
