import request from '@/utils/request';

// 根据区编码聚合学校获取学生数量
export async function GetSchoolStudentNum(params: any) {
  return request('/bigdata/student/GetStudentCountAggsOrgByDistrict', {
    params,
  });
}

// 根据区编码聚合学校获取教职工数量
export async function GetSchoolTeacherNum(params: any) {
  return request('/bigdata/teacher/GetTeacherCountAggsSchoolByDistrict', {
    params,
  });
}

// 根据区编码聚合教辅单位获取教职工数量
export async function GetUnitTeacherNum(params: any) {
  return request('/bigdata/teacher/GetTeacherCountAggsEduAssistByDistrict', {
    params,
  });
}

// 根据地区编码聚合办学类型获取学生数量
export async function GetStudentNum(params: any) {
  return request('/bigdata/student/GetStudentCountAggsXxbxlxByArea', {
    params,
  });
}

// 根据地区编码聚合办学类型获取教师数量
export async function GetTeacherNum(params: any) {
  return request('/bigdata/teacher/GetTeacherCountAggsXxbxlxByArea', {
    params,
  });
}

// 获取区级的基本信息统计
export async function GetBaseInfo(params: any) {
  return request('/bigdata/school/GetDistrictBaseInfo', {
    params,
  });
}

// 根据地区编码获取访问基础数据的排行
export async function GetBaseRanking(params: any) {
  return request('/bigdata/school/GetBaseAccessTopByAreaCode', {
    params,
  });
}

// 获取学段信息
export async function GetStageInfo(params: any) {
  return request('/bigdata/dict/GetXxbxlx', {
    params,
  });
}
// 获取人员角色信息
export async function GetPersonMsg(params: any) {
  return request('/base/role/GetPersonRoleInfo', {
    params
  });
}