import request from '@/utils/request';

// 获取校级的基本信息统计
export async function GetBaseInfo(params: any) {
  return request('/bigdata/school/GetSchoolBaseInfo', {
    params,
  });
}
// 根据学校ID获取该学校有哪些学段
export async function GetSchoolPeriod(params: any) {
  return request('/bigdata/school/PageStageBySchoolId', {
    params,
  });
}
// 根据学校ID和学段ID聚合入学年份获取学生数量
export async function GetStudentNum(params: any) {
  return request('/bigdata/student/GetStudentCountAggsRxnfBySchoolId', {
    params,
  });
}
// 根据学校ID聚合编制获取教师数量
export async function GetTeacherNum(params: any) {
  return request('/bigdata/teacher/GetTeacherCountAggsBzlbBySchoolId', {
    params,
  });
}
// 根据学校ID聚合性别获取教职工数量
export async function GetTeacherSexNum(params: any) {
  return request('/bigdata/teacher/GetTeacherCountAggsXbBySchoolId', {
    params,
  });
}
// 根据学校ID聚合性别获取学生数量
export async function GetStudentSexNum(params: any) {
  return request('/bigdata/student/GetStudentCountAggsXbBySchoolId', {
    params,
  });
}
// 获取人员角色信息
export async function GetPersonRoleInfo(): Promise<any> {
  return request('/base/role/GetPersonRoleInfo');
}