import request from '@/utils/request';

// 根据市编码聚合区获取学校数量
export async function GetSchoolNum(params: any) {
  return request('/bigdata/school/GetSchoolCountByCity', {
    params,
  });
}

// 根据市编码聚合区获取教辅单位数量
export async function GetEducationalNum(params: any) {
  return request('/bigdata/school/GetEduAssistCountByCity', {
    params,
  });
}

// 根据地区编码聚合办学类型获取学生数量
export async function GetStudentNum(params: any) {
  return request('/bigdata/student/GetStudentCountAggsXxbxlxByArea', {
    params,
  });
}

// 根据地区编码聚合办学类型获取教师数量
export async function GetTeacherNum(params: any) {
  return request('/bigdata/teacher/GetTeacherCountAggsXxbxlxByArea', {
    params,
  });
}

// 获取市级的基本信息统计
export async function GetBaseInfo(params: any) {
  return request('/bigdata/school/GetCityBaseInfo', {
    params,
  });
}

// 根据地区编码获取访问基础数据的排行
export async function GetBaseRanking(params: any) {
  return request('/bigdata/school/GetBaseAccessTopByAreaCode', {
    params,
  });
}

// 获取人员角色信息
export async function GetPersonRoleInfo(): Promise<any> {
  return request('/base/role/GetPersonRoleInfo');
}
