import { Alert, Checkbox, Icon } from 'antd';
import { FormattedMessage, formatMessage } from 'umi-plugin-react/locale';
import React, { Component } from 'react';

import { CheckboxChangeEvent } from 'antd/es/checkbox';
import { Dispatch, Action } from 'redux';
import { FormComponentProps } from 'antd/es/form';

import { connect } from 'dva';
import { StateType } from '@/models/login';


import { ConnectState } from '@/models/connect';
import { Redirect } from 'umi';


interface LoginProps {
  dispatch: Dispatch<
    Action<
      | 'user/GetPersonRoleInfo'
    >
  >;
}


class RedirectCom extends Component<LoginProps> {
  state = {
    redirectPathUrl: ''
  }


  componentDidMount() {
    this.getPages();
  }


  //获取角色默认菜单
  getPages() {
    const { dispatch } = this.props;
    let redirectPath = '';

    dispatch({
      type: 'user/GetPersonRoleInfo',
      callback: (response: any) => {
        const role_id: string = response.role_id;

        switch (role_id) {
          case "A66C757C-F797-454D-99DE-2A3F5415BC22":
            // 超级管理员
            redirectPath = '/organization/bureau';

            this.setState({ redirectPathUrl: redirectPath })
            break;

          case "5CC3293C-3AA5-45B7-B54B-CA8CC549FB81":
            // 市管理员
            redirectPath = '/organization/effect'

            this.setState({ redirectPathUrl: redirectPath })
            break;
          case "BF61C95F-3ADD-4F37-9FCD-97E69E1BF6E3":
            //	区(县)管理员
            redirectPath = '/organization/effect'
            this.setState({ redirectPathUrl: redirectPath })
            break;
          case "9CD6B804-0F89-4626-A812-29465CFC7410":
            //	教育机构管理员
            redirectPath = '/organization/branch'
            this.setState({ redirectPathUrl: redirectPath })
            break;
          case "73E897FC-C9D1-4E48-AE22-AC7586425C1D":
            //	学校管理员
            redirectPath = '/organization/branch'

            this.setState({ redirectPathUrl: redirectPath })
            break;
          case "22222222-2222-2222-2222-222222222222":
            //	教职工
            let url = window.location.origin + '/dsBaseWeb/pages/personPortal/index.html';
            window.open(url, "_self")

            // if (response.person_id === "3F83DF73-C530-49B1-9C92-212D901A0E62") {
            //   let url = window.location.origin + '/dsBaseWeb/pages/personPortal/index.html';
            //   window.open(url, "_self")
            // } else {
            //   let url = window.location.origin + '/dsBaseWeb/pages/personPortal/person.html';
            //   window.open(url, "_self")
            // }
            break;
          case "33333333-3333-3333-3333-333333333333":
            //	学生
            redirectPath = '/'

            this.setState({ redirectPathUrl: redirectPath })
            break;
          default:
            return
          // 与 case 1 和 case 2 不同时执行的代码
        }
      }


    })


  }


  render() {
    if (this.state.redirectPathUrl === '') {
      return null
    } else {
      return <Redirect to={this.state.redirectPathUrl}></Redirect>;
    }
  }
}

export default connect(({ user, loading }: ConnectState) => ({
  currentUser: user.currentUser,
  loading: loading.models.user,
}))(RedirectCom);
