import request from '@/utils/request';
// eslint-disable-next-line import/no-unresolved
import { GetEduAssistTable, EduAssistTbale } from './data.d';

/**
 * 查询组织机构
 * @param params
 */

//  获取教辅单位列表
export async function PageEduAssistInfo(params: GetEduAssistTable) {
  return request('/base/organization/PageEduAssistInfo', {
    params,
  });
}

// 根据教辅单位ID获取教辅单位信息
export async function GetEduAssistInfoById(params: string) {
  return request('/base/organization/GetEduAssistInfoById', {
    params,
  });
}
// 增加教辅单位信息
export async function AddEduAssistInfo(params: EduAssistTbale) {
  return request('/base/organization/AddEduAssistInfo', {
    method: 'post',
    data: {
      ...params,
    },
    // requestType: 'form'
  });
}
// 修改教辅单位信息
export async function UpdateEduAssistInfo(params: EduAssistTbale) {
  return request('/base/organization/UpdateEduAssistInfo', {
    method: 'post',
    data: {
      ...params,
    },
    // requestType: 'form'
  });
}
// 删除教辅单位信息
export async function DeleteEduAssistInfo(params: string) {
  return request('/base/organization/DeleteEduAssistInfo', {
    method: 'post',
    data: {
      ...params,
    },
    // requestType: 'form'
  });
}
// 获取人员角色信息
export async function GetPersonMsg(params: string) {
  return request('/base/role/GetPersonRoleInfo', {
    params
  });
}
// 根据人员ID获取所管辖的地区信息
export async function GetRegionMsg(params: string) {
  return request('/base/role/GetManageAreaInfo', {
    params
  });
}
