import request from '@/utils/request';
// eslint-disable-next-line import/no-unresolved
import { GetOrglistItem } from './data.d';

/**
 * 查询组织机构
 * @param params
 */

//获取部门列表tree
export async function GetOrglist(params: GetOrglistItem) {
  return request('/base/organization/GetOrgTreeInfo', {
    params,
  });
}

//获取部门信息
export async function GetOrgInfo(params: GetOrglistItem) {
  return request('/base/organization/GetOrgInfo', {
    params,
  });
}

//增加部门
export async function AddOrgInfo(params: GetOrglistItem) {
  return request('/base/organization/AddOrgInfo', {
    method: 'POST',
    data: {
      ...params,
      method: 'post',
    },
  });
}

//编辑部门
export async function EditOrgInfo(params: GetOrglistItem) {
  return request('/base/organization/UpdateOrgInfo ', {
    method: 'POST',
    data: {
      ...params,
      method: 'post',
    },
  });
}

//删除部门
export async function DeleteOrgInfo(params: GetOrglistItem) {
  return request('/base/organization/DeleteOrgInfo', {
    method: 'POST',
    data: {
      ...params,
      method: 'post',
    },
  });
}

// 获取教职工列表
export async function GetTeacherlist(params: GetOrglistItem) {
  return request('/base/teacher/PageTeacherInfo', {
    params,
  });
}

// 获取人员角色信息
export async function GetPersonMsg(params: GetOrglistItem) {
  return request('/base/role/GetPersonRoleInfo', {
    params,
  });
}


