import { Form, Input, Modal,InputNumber } from 'antd';
import React from 'react';
import { FormComponentProps } from 'antd/es/form';

const FormItem = Form.Item;
interface UpdataEduInfo extends FormComponentProps {
  modalVisible: boolean;
  handleModify: (fieldsValue: { desc: string }) => void;
  handleModalVisible: () => void;
  dispatch: (payload: {}) => void;
  modifyId: string;
  classInfo: { [key: string]: string };
  
}

const UpdataEduInfo: React.FC<UpdataEduInfo> = props => {
  const {
    modalVisible,
    form,
    handleModify,
    handleModalVisible,
    classInfo
  } = props;

  const okHandle = () => {
    form.validateFields((err, fieldsValue) => {
      const data = fieldsValue;
      if (err) return;
      form.resetFields();
      console.log(data,classInfo)
      data.classId=classInfo.class_id
      handleModify(data);
    });
  };

  return (
    <Modal
      destroyOnClose
      title="编辑班级信息"
      visible={modalVisible}
      maskClosable={false}
      onOk={okHandle}
      onCancel={() => handleModalVisible()}
      width="700px"
    >
    
    <FormItem labelCol={{ span: 7 }} wrapperCol={{ span: 11 }} label="班级别名">
        {form.getFieldDecorator('classAlias',{
          initialValue: classInfo.class_alias,
          rules: [
            {
              required: true,
              message: '请输入班级别名',
            },
            {
              pattern: new RegExp('^[\u4E00-\u9FA5A-Za-z0-9]+$', 'g'),
              message: '长度1~30 汉字或字母或数字',
            },
          ]
        })(<Input maxLength={30} />)}
      </FormItem>

    </Modal>
  );
};

export default Form.create<UpdataEduInfo>()(UpdataEduInfo);
