import request from '@/utils/request';
// eslint-disable-next-line import/no-unresolved
import { getClassInfo,ClassInfo } from './data';

/**
 * 教辅单位
 * @param params
 */


//  获取班级列表
export async function PageClassInfo(params: getClassInfo) {
  return request('/base/class/PageClassInfo', {
    params,
  });
}

// 获取班级信息
export async function GetClassInfo(params: { [key: string]: string }) {
  return request('/base/class/GetClassInfo', {
    params,
  });
}
// 增加班级信息
export async function AddClassInfo(params: ClassInfo) {
  return request('/base/class/AddClassInfo', {
    method: 'post',
    data: {
      ...params,
    },
  });
}

// 删除班级信息
export async function DeleteClassInfo(params: {[classIds:string]:string}) {
  return request('/base/class/DeleteClassInfo', {
    method: 'post',
    data: {
      ...params,
    },
    // requestType: 'form'
  });
}
// 修改班级信息(只允许修改班级别名)
export async function UpdateClassInfo(params: {[key:string]:string} ) {
  return request('/base/class/UpdateClassInfo', {
    method: 'post',
    data: {
      ...params,
    },
    // requestType: 'form'
  });
}
// 设置班主任
export async function SetClassTeacher(params: {[key:string]:string} ) {
  return request('/base/class/SetClassTeacher', {
    method: 'post',
    data: {
      ...params,
    },
    // requestType: 'form'
  });
}


//  获取学段信息
export async function GetStageInfo(params: getClassInfo) {
  return request('/base/class/GetStageInfo', {
    params,
  });
}


// 根据学校ID和学部(学段)ID获取入学年份
export async function GetRxnfInfo(params: { [key: string]: string }) {
  return request('/base/class/GetRxnfInfo', {
    params,
  });
}
//  获取部门信息
export async function GetOrgTreeInfo(params: getClassInfo) {
  return request('/base/organization/GetOrgTreeInfo', {
    params,
  });
}
//  获取教职工信息
export async function PageTeacherInfo(params: getClassInfo) {
  return request('/base/teacher/PageTeacherInfo', {
    params,
  });
}


//获取角色信息
export async function GetRoleInfo(params:{[key:string]:string}) {
  return request('/base/role/GetPersonRoleInfo', {
    params,
  });
}