import { Form, Input, Modal, Radio, Checkbox, InputNumber, Select } from 'antd';
import React, { useEffect, useState } from 'react';
import { FormComponentProps } from 'antd/es/form';
import QueueAnim from 'rc-queue-anim';
import CascadeGeographic from '@/components/CascadeGeographic';
import school from '..';
const FormItem = Form.Item;
interface UpdataEduInfo extends FormComponentProps {
  modalVisible: boolean;
  handleUpdate: (fieldsValue: { desc: string }) => void;
  handleEditModalVisible: () => void;

  dispatch: (payload: {}) => void;
  modifyId: string;
  eduInfo: { [key: string]: string };
  mainSchoolVisible: boolean;
  handMainSchoolVisible: () => void;
  xxbbmDict: Array<string>;
  xxbxlxmDict: Array<string>;
  szdcxlxmDict: Array<string>;
  xxjbzmDict: Array<string>;
  mainSchoolList: Array<string>;
  schoolInfo: { [key: string]: string };
  dispatchProps: any;
  areaCode: string;
  bureauId: string;
  fsxxbxlxmDict: string;
  codeArr: [];
  orgtype: number;
  regionalInformation: [];
}

const UpdataEduInfo: React.FC<UpdataEduInfo> = props => {
  const [schoolList, setSchoolList] = useState([]);
  const [eduList, setEduList] = useState([]);
  const [nowEdu, setNowEdu] = useState("");
  // const [isSelect, setIsSelect] = useState(false);
  const {
    modalVisible,
    form,
    handleUpdate,
    mainSchoolVisible,
    handMainSchoolVisible,
    handleEditModalVisible,
    xxbbmDict,
    xxbxlxmDict,
    szdcxlxmDict,
    xxjbzmDict,
    mainSchoolList,
    fsxxbxlxmDict,
    schoolInfo,
    dispatchProps,
    areaCode,
    codeArr,
    orgtype,
    regionalInformation
  } = props;

  let regionalInfo: any = [];
  let areaC = "";
  if (regionalInformation.length > 0) {
    regionalInfo = regionalInformation.concat();
    regionalInfo.map((item: any, index: number) => {
      if (item.parent_code === "-1") {
        regionalInfo.splice(index, 1);
      }
    })
  }
  const okHandle = () => {
    form.validateFields((err, fieldsValue) => {
      if (err) return;
      form.resetFields();

      fieldsValue.orgId = schoolInfo.org_id;
      fieldsValue.fsbIds = fieldsValue.fsbIds?.toString()
      // data.areaCode = data.areaCode[data.areaCode.length - 1]
      // debugger;

      handleUpdate(fieldsValue);
    });
  };

  const isMainSchool = (e) => {
    const { dispatch } = dispatchProps;
    dispatch({
      type: 'school/PageMainSchoolInfo',
      payload: {
        page: 1,
        limit: 1000,
        areaCode: areaCode,
        orgId: schoolInfo.org_id,
      },
      callback: (response: any) => {
        setSchoolList(response.list)
      },
    });
    handMainSchoolVisible(e.target.checked)
  }
  // 获取主校列表
  useEffect(() => {
    const { dispatch } = dispatchProps;
    dispatch({
      type: 'school/PageMainSchoolInfo',
      payload: {
        page: 1,
        limit: 1000,
        areaCode: areaCode,
      },
      callback: (response: any) => {
        setSchoolList(response.list)
      },
    });
    getCityData(codeArr.filter((x) => x !== ''))
    // handleCityChange(codeArr.filter((x) => x !== ''))
  }, [areaCode])
  let schoolAreaCode = []

  const getCityData = (e: any) => {
    const { dispatch } = dispatchProps;
    dispatch({
      type: 'school/PageEnableEduInfo',
      payload: {
        page: 1,
        limit: 1000,
        areaCode: e[1],
      },
      callback: (response: any) => {
        if (response.list.length > 0) {
          setEduList(response.list)
        } else {
          setEduList([])
        }
      },
    });
  }
  const handleCityChange = (e: any) => {
    // console.log(e)
    const { dispatch } = dispatchProps;
    dispatch({
      type: 'school/PageEnableEduInfo',
      payload: {
        page: 1,
        limit: 1000,
        areaCode: e[1],
      },
      callback: (response: any) => {
        if (response.list.length > 0) {
          setEduList(response.list)
          let states = false;
          response.list.map((data: any) => {
            if (e[2] === data.area_code) {
              states = true;
            }
          })

          if (states === true) {
            setNowEdu(e[e.length - 1])
            form.setFieldsValue({ managerAreaCode: e[e.length - 1] })
          } else {
            setNowEdu(response.list[0].area_code);
            form.setFieldsValue({ managerAreaCode: response.list[0].area_code })
          }
        } else {
          setEduList([])
          setNowEdu("")
          form.setFieldsValue({ managerAreaCode: "" })
        }
      },
    });
  }

  // 处理省市区回显格式
  if (schoolInfo.area_code) {

    schoolAreaCode.push(schoolInfo.area_code.substring(0, 2) + '0000')
    schoolAreaCode.push(schoolInfo.area_code.substring(0, 4) + '00')
    schoolAreaCode.push(schoolInfo.area_code)
    // form.setFieldsValue({ areaCode: schoolAreaCode })

  }

  return (
    <Modal
      destroyOnClose
      title="编辑学校信息"
      visible={modalVisible}
      maskClosable={false}
      onOk={okHandle}
      onCancel={() => handleEditModalVisible()}
      width="800px"
    >
      <FormItem labelCol={{ span: 6 }} wrapperCol={{ span: 8 }} label="学校代码">
        {form.getFieldDecorator('orgCode', {
          initialValue: schoolInfo.org_code,
          rules: [
            {
              required: true,
              message: '请输入2-20个字母或数字',
            },
            {
              min: 2,
              max: 20,
              message: '长度不在范围内',
            },
            {
              pattern: new RegExp('^\\w+$', 'g'),
              message: '学校代码必须为字母或者数字',
            },
          ],
        })(<Input placeholder="请输入学校代码" maxLength={20} />)}
      </FormItem>
      <FormItem labelCol={{ span: 6 }} wrapperCol={{ span: 15 }} label="学校名称">
        {form.getFieldDecorator('orgName', {
          initialValue: schoolInfo.org_name,

          rules: [
            {
              required: true,
              message: '请输入1-30个汉字、字母或数字',
            },
            {
              min: 1,
              max: 30,
              message: '长度不在范围内',
            },
            {
              pattern: new RegExp('^[\u4E00-\u9FA5A-Za-z0-9]+$', 'g'),
              message: '学校名称必须为汉字、字母或者数字',
            },
          ],
        })(<Input placeholder="请输入学校名称" maxLength={30} />)}
      </FormItem>

      <FormItem labelCol={{ span: 6 }} wrapperCol={{ span: 16 }} label="所在区">
        {orgtype === 1 ?
          form.getFieldDecorator('areaCode', {
            initialValue: schoolInfo.area_code,
            rules: [{ required: true, message: '选择所在区！' }],
          })(<CascadeGeographic
            changeOnSelect={false}
            level="3"
            defaultValue={schoolAreaCode}
            onChange={(e: any) => { handleCityChange(e) }}
          />
          )
          : orgtype === 2 ? form.getFieldDecorator('areaCode', {
            initialValue: schoolInfo.area_code,
            rules: [{ required: true, message: '选择所在区！' }],
          })(<Select defaultValue={areaCode} style={{ width: "100%" }} onChange={(value: any) => {
            let abc = [];
            abc.push(value.slice(0, 2) + "0000")
            abc.push(value.slice(0, 4) + "00")
            abc.push(value)
            handleCityChange(abc)
          }}>
            {regionalInfo.map((item) => {
              return <Option value={item.area_code}>{item.parent_name + "/" + item.area_name}</Option>
            })}
          </Select>)
            : form.getFieldDecorator('areaCode', {
              initialValue: schoolInfo.area_code,
              rules: [{ required: true, message: '选择所在区！' }],
            })(<Select defaultValue={areaCode} style={{ width: "100%" }} onChange={(value: any) => {
              let abc = [];
              abc.push(value.slice(0, 2) + "0000")
              abc.push(value.slice(0, 4) + "00")
              abc.push(value)
              handleCityChange(abc)
            }}>
              {regionalInfo.map((item) => {
                return <Option value={item.area_code}>{item.parent_name + "/" + item.area_name}</Option>
              })}
            </Select>)}
        {/* {form.getFieldDecorator('areaCode', {
          initialValue: schoolInfo.area_code,
          rules: [{ required: true, message: '选择所在区！' }],
        })(<CascadeGeographic
          changeOnSelect={false}
          level="3"
          defaultValue={schoolAreaCode}
          onChange={(e: any) => { handleCityChange(e) }}
        />
        )} */}
      </FormItem>
      <FormItem labelCol={{ span: 6 }} wrapperCol={{ span: 15 }} label="上级管理单位">
        {form.getFieldDecorator('managerAreaCode', {
          initialValue: schoolInfo.manager_area_code,
          rules: [{ required: true, message: '请选择上级管理单位！' }],
        })(
          <Select
            style={{ width: '100%' }}
            showSearch={true}
          >

            {eduList.map((item, index) => (
              <Select.Option value={item.area_code} key={item.area_code} >{item.org_name}</Select.Option>
            ))}

          </Select>
        )}
      </FormItem>

      <FormItem labelCol={{ span: 6 }} wrapperCol={{ span: 10 }} label="是否分校">
        {form.getFieldDecorator('isBranchSchool', {
          initialValue: schoolInfo.main_school_type + ""
        })(
          <Checkbox.Group>
            <Checkbox value="1" style={{ lineHeight: '32px' }} onChange={(e) => { isMainSchool(e) }}>
              是
              </Checkbox>
          </Checkbox.Group>
        )}
      </FormItem>
      <QueueAnim className="demo-content">{mainSchoolVisible ? [
        <FormItem labelCol={{ span: 6 }} wrapperCol={{ span: 10 }} label="主校" key="a">
          {form.getFieldDecorator('mainSchoolId', {
            initialValue: schoolInfo.main_school_id === schoolInfo.org_id ? "" : schoolInfo.main_school_id,
            rules: [{ required: true, message: '请选择主校' }],
          })(<Select
            style={{ width: '100%' }}
            showSearch={true}

          >


            {schoolList.map(item => (
              <Select.Option value={item.org_id} key={item.org_id} >{item.org_name}</Select.Option>
            ))}
          </Select>)}
        </FormItem>] : null}</QueueAnim>



      <FormItem labelCol={{ span: 6 }} wrapperCol={{ span: 6 }} label="学校办学类型">
        {form.getFieldDecorator('xxbxlxm', {
          initialValue: schoolInfo.xxbxlxm,
          rules: [{ required: true, message: '请选择学校办学类型' }],
        })(<Select
          style={{ width: '100%' }}
          showSearch={true}
          disabled
        >
          {xxbxlxmDict.map(item => (
            <Select.Option value={item.dict_code} key={item.dict_code} >{item.dict_value}</Select.Option>
          ))}

        </Select>)}
      </FormItem>

      <FormItem labelCol={{ span: 6 }} wrapperCol={{ span: 5 }} label="学校举办者">
        {form.getFieldDecorator('xxjbzm', {
          initialValue: schoolInfo.xxjbzm,
          rules: [{ required: true, message: '请选择学校举办者' }],
        })(<Select
          style={{ width: '100%' }}
          showSearch={true}
        >
          {xxjbzmDict.map(item => (
            <Select.Option value={item.dict_code} key={item.dict_code} >{item.dict_value}</Select.Option>
          ))}
        </Select>)}
      </FormItem>

      <FormItem labelCol={{ span: 6 }} wrapperCol={{ span: 4 }} label="学校城乡类型">
        {form.getFieldDecorator('szdcxlxm', {
          initialValue: schoolInfo.szdcxlxm,
          rules: [{ required: true, message: '请选择学校城乡类型' }],
        })(<Select
          style={{ width: '100%' }}
          showSearch={true}
        >
          {szdcxlxmDict.map(item => (
            <Select.Option value={item.dict_code} key={item.dict_code} >{item.dict_value}</Select.Option>
          ))}
        </Select>)}
      </FormItem>

      <FormItem labelCol={{ span: 6 }} wrapperCol={{ span: 16 }} label="附设班办学类型">
        {form.getFieldDecorator('fsbIds', {
          initialValue: schoolInfo.fsb
        })(<Select
          mode="multiple"
          style={{ width: '100%' }}
          showSearch={true}
        >
          {fsxxbxlxmDict.map(item => (
            <Select.Option value={item.dict_code} key={item.dict_code} >{item.dict_value}</Select.Option>
          ))}
        </Select>)}
      </FormItem>


      <FormItem labelCol={{ span: 6 }} wrapperCol={{ span: 5 }} label="学校法定代表人">
        {form.getFieldDecorator('fddbr', {
          initialValue: schoolInfo.fddbr,
          rules: [

            {
              min: 2,
              max: 30,
              message: '长度不在范围内',
            },
            {
              pattern: new RegExp('^[\u4E00-\u9FA5A-Za-z0-9]+$', 'g'),
              message: '学校法定代表人必须为汉字、字母或者数字',
            },
          ],
        })(<Input placeholder="请输入" maxLength={30} />)}
      </FormItem>
      <FormItem labelCol={{ span: 6 }} wrapperCol={{ span: 10 }} label="学校法定代表人电话">
        {form.getFieldDecorator('fddbrdh', {
          initialValue: schoolInfo.fddbrdh,
          rules: [
            {
              min: 2,
              max: 30,
              message: '长度范围在2-30个字符之间。',
            },
            {
              pattern: new RegExp('^[ 0-9+-]*$', 'g'),
              message: '请输入电话可用字符。',
            },
          ],
        })(<Input placeholder="请输入" maxLength={30} />)}
      </FormItem>
      <FormItem labelCol={{ span: 6 }} wrapperCol={{ span: 15 }} label="学校地址">
        {form.getFieldDecorator('address', {
          initialValue: schoolInfo.address,
          rules: [
            {
              min: 2,
              max: 100,
              message: '请输入2-100个汉字、字母或数字',
            },
            {
              pattern: new RegExp('^[\u4E00-\u9FA5A-Za-z0-9-]+$', 'g'),
              message: '学校地址必须为汉字、字母或者数字',
            },
          ],
        })(<Input placeholder="请输入" maxLength={100} />)}
      </FormItem>
      <FormItem labelCol={{ span: 6 }} wrapperCol={{ span: 10 }} label="联系电话">
        {form.getFieldDecorator('lxdh', {
          initialValue: schoolInfo.lxdh,
          rules: [
            {
              min: 2,
              max: 30,
              message: '长度范围在2-30个字符之间。',
            },
            {
              pattern: new RegExp('^[ 0-9+-]*$', 'g'),
              message: '请输入电话可用字符。',
            },
          ],
        })(<Input placeholder="请输入" maxLength={30} />)}
      </FormItem>
      <FormItem labelCol={{ span: 6 }} wrapperCol={{ span: 4 }} label="排序号">
        {form.getFieldDecorator('sortId', {
          initialValue: schoolInfo.sort_id + "",
          rules: [
            // {
            //   max: 5,
            //   message: '长度范围在1-5个字符之间。',
            // },
            {
              pattern: new RegExp('^[0-9]*$', 'g'),
              message: '请输入数字,长度范围在1-4个字符之间',
            },
          ],
        })(<InputNumber style={{ width: "100%" }} placeholder="请输入排序号" maxLength={4} min={1} max={9999} />)}
      </FormItem>
    </Modal>
  );
};

export default Form.create<UpdataEduInfo>()(UpdataEduInfo);
