export interface TableListItem {
  key: number;
  disabled?: boolean;
  href: string;
  avatar: string;
  name: string;
  address: string;
  owner: string;
  desc: string;
  callNo: number;
  status: number;
  fddbr: string;
  fddbrdh: string;
  directlyUnderType: number;
  isBranchSchool: any;
  lxdh: string;
  orgCode: string;
  orgName: string;
  sortId: number;
  szdcxlxm: string;
  xxbbm: string;
  xxbxlxm: string;
  xxjbzm: string;
}
export interface SchoolInfoItme {
  areaCode: string;
  orgCode: string;
  orgName: string;
  directlyUnderType: number;
  isBranchSchool: number;
  mainSchoolId?: string;
  xxbbm: string;
  xxbxlxm: string;
  szdcxlxm: string;
  xxjbzm: string;
  fddbr: string;
  fddbrdh: string;
  address: string;
  lxdh: string;
  sortId: number;
}

export interface TableListPagination {
  total: number;
  pageSize: number;
  current: number;
  showTotal: any;
}

export interface TableListData {
  list: TableListItem[];
  pagination: Partial<TableListPagination>;
}

export interface TableListParams {
  sorter: string;
  status: string;
  name: string;
  pageSize: number;
  currentPage: number;
}
