import request from '@/utils/request';
// eslint-disable-next-line import/no-unresolved
import { SchoolInfoItme } from './data.d';

/**
 *  学校管理service
 * @param params
 */



// 获取学校列表
export async function PageSchoolInfo(params: { [key: string]: string }) {
  return request('/base/organization/PageSchoolInfo', {
    params,
  });
}
// 获取学校列表
export async function PageMainSchoolInfo(params: { [key: string]: string }) {
  return request('/base/organization/PageMainSchoolInfo', {
    params,
  });
}

// 根据学校ID获取学校信息
export async function GetSchoolInfoById(params: { [key: string]: string }) {
  return request('/base/organization/GetSchoolInfoById', {
    params,
  });
}

// 增加学校信息
export async function AddSchoolInfo(params: SchoolInfoItme) {
  return request('/base/organization/AddSchoolInfo', {
    method: 'post',
    data: {
      ...params,
    },
  });
}

// 修改学校信息
export async function UpdateSchoolInfo(params: SchoolInfoItme) {
  return request('/base/organization/UpdateSchoolInfo', {
    method: 'post',
    data: {
      ...params,
    },
  });
}

// 删除学校信息
export async function DeleteSchoolInfo(params: { [key: string]: string }) {
  return request('/base/organization/DeleteSchoolInfo', {
    method: 'post',
    data: {
      ...params,
    },
  });
}
// 获取人员角色信息
export async function GetPersonMsg(params: { [key: string]: string }) {
  return request('/base/role/GetPersonRoleInfo', {
    params
  });
}
// 根据人员ID获取所管辖的地区信息
export async function GetRegionMsg(params: { [key: string]: string }) {
  return request('/base/role/GetManageAreaInfo', {
    params
  });
}
// 获取学校列表
export async function PageEnableEduInfo(params: { [key: string]: string }) {
  return request('/base/organization/PageEnableEduInfo', {
    params
  });
}
// 获取班级列表
export async function PageClassInfo(params: { [key: string]: string }) {
  return request('/base/class/PageClassInfo', {
    params
  });
}
// 调转学校
export async function StudentTransferInfo(params: { [key: string]: string }) {
  return request('/base/student/StudentTransferInfo', {
    params
  });
}
