import { Tree, Modal, Form, Select, Row, Col, Table } from 'antd';
import styles from '../style.less'
import { FormComponentProps } from 'antd/es/form';
import React from 'react';


interface ClassInfoProps extends FormComponentProps {
    modalVisible: boolean;
    handleClassAdd: () => void;
    handleClassInfoVisible: () => void;
    handlePanelTableChange: (pagination:{ [key: string]: any }) => void;
    onChangePanelClass:(selectedRowKeys:string) => void;
    handlePanelStageInfo: (value:string) => void;
    handlePanelRxnfInfo: (value:string) => void;
    deptTreeAry:Array<any>,
    panelStageList:Array<string>; //班级面板学段数组
    panelStageId:string; //班级面板已选学段
    panelNfList:Array<string>; //班级面板年份数组
    panelNfId:string; //班级面板已选年份
    panelClassList:Array<string>;//班级面板班级数组
    panelPagination:{ [key: string]: any };//班级面板分页数据
    panelSelectClassId:string;//已选班级信息
  }

  const ClassInfoPanel: React.FC<ClassInfoProps> = props => { 
    const { modalVisible, handleClassAdd, handleClassInfoVisible, handlePanelTableChange,onChangePanelClass,panelStageList, panelStageId, panelNfList,
      panelNfId, panelClassList, panelPagination, panelSelectClassId, handlePanelStageInfo, handlePanelRxnfInfo
    } = props;


    const rowSelection = {
      selectedRowKeys:panelSelectClassId,
      type:"radio",
      onChange:onChangePanelClass
    }

    const columns = [
      {
        title: '序号',
        render: (text:any, record:any, index:any) =>
        `${index + 1}`,
      },
      {
        title: '班级名称',
        dataIndex: 'class_name',
      },
      {
        title: '班级别名',
        dataIndex: 'class_alias',
      },
      {
        title: '学生人数',
        dataIndex: 'student_count',
      },
      {
        title: '班主任',
        dataIndex: 'teacher_name',
      },
    
    ];
    console.log(panelNfId,'panelNf')
    return (
        <Modal
        destroyOnClose
        title="调整学生所在班级"
        visible={modalVisible}
        onOk={() => handleClassAdd()}
        onCancel={() => handleClassInfoVisible()}
        width="700px"
      >
        <div className={styles.tableList}>
          {/* <div className={styles.tableListForm}>
          <Row gutter={{ md: 8, lg: 24, xl: 48 }}>
           <Col md={10} sm={4}>
            <span>学部: </span>
            <Select
              style={{ width: '75%',marginLeft:'10px' }}
              onChange={(value)=>{handlePanelStageInfo(value)}}
              value={panelStageId}
              >
                {panelStageList.map(item => (
                      <Select.Option value={item.stage_id} key={item.stage_id} >{item.stage_name}</Select.Option>
                    ))}
            </Select>
          </Col>
          <Col md={10} sm={4}>
          <span>入学年份: </span>
               <Select
                 style={{ width: '70%', marginLeft:'10px' }}
                 onChange={(value)=>{handlePanelRxnfInfo(value)}}
                 value={panelNfId}
                 >
                   {panelNfList.map(item => (
                         <Select.Option value={item} key={item} >{item}</Select.Option>
                       ))}
               </Select>
          </Col>
          </Row>
            </div> */}
           
        <Table
          rowKey={record=>record.class_id}
          rowSelection={rowSelection}
          dataSource={panelClassList}
          columns={columns}
          pagination={panelPagination}
          onChange={handlePanelTableChange}
        />
         </div>
      </Modal>
    )
  }


  export default Form.create<ClassInfoProps>()(ClassInfoPanel);