import request from '@/utils/request';
// eslint-disable-next-line import/no-unresolved
import { StudentItem } from './data.d';

/**
 * 查询组织机构
 * @param params
 */
//获取学生列表
export async function PageStudentInfo(params: { [key: string]: string }) {
  return request('/base/student/PageStudentInfo', {
    params,
  });
}
//获取学生信息
export async function GetStudentInfo(params: { [key: string]: string }) {
  return request('/base/student/GetStudentInfo', {
    params,
  });
}
//增加学生信息
export async function AddStudentInfo(params: { [key: string]: string }) {
  return request('/base/student/AddStudentInfo', {
    method: 'POST',
    data: {
      ...params,
    },
  });
}
//删除学生信息
export async function DeleteStudentInfo(params: { [key: string]: string }) {
  return request('/base/student/DeleteStudentInfo', {
    method: 'POST',
    data: {
      ...params,
    },
  });
}
//修改学生信息
export async function UpdateStudentInfo(params: { [key: string]: string }) {
  return request('/base/student/UpdateStudentInfo', {
    method: 'POST',
    data: {
      ...params,
    },
  });
}
//学生调整班级
export async function ReviseStudentClass(params: { [key: string]: string }) {
  return request('/base/student/ReviseStudentClass', {
    method: 'POST',
    data: {
      ...params,
    },
  });
}
//  获取部门信息
export async function GetOrgTreeInfo(params: { [key: string]: string }) {
  return request('/base/organization/GetOrgTreeInfo', {
    params,
  });
}
//启用账号信息
export async function EnableAccountInfo(params: { [key: string]: string }) {
  return request('/base/loginperson/EnableAccountInfo', {
    method: 'POST',
    data: {
      ...params,
    },
  });
}

//禁用账号信息
export async function DisableAccountInfo(params: { [key: string]: string }) {
  return request('/base/loginperson/DisableAccountInfo', {
    method: 'POST',
    data: {
      ...params,
    },
  });
}

//重置账号密码
export async function ResetManagerPassWord(params: { [key: string]: string }) {
  return request('/base/loginperson/ResetManagerPassWord', {
    method: 'POST',
    data: {
      ...params,
    },
  });
}

//获取学段信息
export async function GetStageInfo(params: { [key: string]: string }) {
  return request('/base/class/GetStageInfo', {
    params,
  });
}

//根据学校ID和学部(学段)ID获取入学年份
export async function GetRxnfInfo(params: { [key: string]: string }) {
  return request('/base/class/GetRxnfInfo', {
    params,
  });
}

//获取班级信息
export async function PageClassInfo(params: { [key: string]: string }) {
  return request('/base/class/PageClassInfo', {
    params,
  });
}

//获取角色信息
export async function GetRoleInfo(params: { [key: string]: string }) {
  return request('/base/role/GetPersonRoleInfo', {
    params,
  });
}

//清空所有数据
export async function DeleteAllInfo(params: { [key: string]: string }) {
  return request('/base/class/RestoreGraduate', {
    params,
  });
}

//调整学学校列表校 获取
export async function ListOrgByOrgKeyWord(params: { [key: string]: string }) {
  return request('/base/organization/ListOrgByOrgKeyWord', {
    params,
  });
}
//调整学校
export async function StudentTransferInfo(params: { [key: string]: string }) {
  return request('/base/student/StudentTransferInfo', {
    method: 'post',
    data: {
      ...params,
    },
  });
}

