import { Tree, Modal, Form } from 'antd';

import { FormComponentProps } from 'antd/es/form';
import React from 'react';
import '../style.less'

const { TreeNode } = Tree;
interface DeptTreeProps extends FormComponentProps {
    modalVisible: boolean;
    handleDeptAdd: (selectTreeInfo:string[]) => void;
    handleDeptModalVisible: () => void;
    deptTreeAry:Array<any>
  }

  const DeptTreePanel: React.FC<DeptTreeProps> = props => { 
    const { modalVisible, handleDeptAdd, handleDeptModalVisible, deptTreeAry } = props;
    let selectTreeInfo = [];
    const renderTreeNodes = (treeData:any) => {
      treeData.map((item:any) => {
        if (item.children) {
          return (
            <TreeNode title={item.title} key={item.key} dataRef={item} style={{color:"#31a8fa"}}>
               {renderTreeNodes(item.children)}
            </TreeNode>
          );
        }
        return <TreeNode key={item.key} {...item} className="treeNode"/>;
      });
    }

    const onSelect = (selectedKeys:string[]) => {
        selectTreeInfo = selectedKeys;
    }
    
    return (
        <Modal
        destroyOnClose
        title="调整教职工所在部门"
        visible={modalVisible}
        onOk={() => handleDeptAdd(selectTreeInfo)}
        onCancel={() => handleDeptModalVisible()}
        width="500px"
      >
        <div style={{width:'100%',overflowX:"auto"}}>
     
        <Tree
          autoExpandParent={true}
          showLine={true}  
          defaultExpandAll={true}
          treeData={deptTreeAry}
          onSelect={onSelect}
        
        >
        {renderTreeNodes(deptTreeAry)}

        </Tree>
        </div>
     
      </Modal>
    )
  }


  export default Form.create<DeptTreeProps>()(DeptTreePanel);