export interface TableListItem {
  key: number;
  disabled?: boolean;
  href: string;
  avatar: string;
  name: string;
  title: string;
  owner: string;
  desc: string;
  callNo: number;
  status: number;
  updatedAt: Date;
  createdAt: Date;
  progress: number;
  person_id: string;
}

export interface TeacherInfoItem {
  orgId: string; //部门ID *
  xm: string; //教职工姓名 *
  xbm: string; //性别（字典：xbm）*
  sfzjlxm: string; //身份证件类型（字典：sfzjlxm）*
  sfzjh: string; //证件号 *
  mzm: string; //民族（字典：mzm）* 
  zzmmm: string; //政治面貌（字典：zzmmm）*
  zcm: string; //职称（字典：zcm）*
  bzlbm: string; //编制（字典：bzlbm）*
  xlm: string; //学历（字典：xlm) *
  xwm: string; //学位（字典：xwm）*
  stageId: string; //任教学段 *
  subjectId: string; //任教学科 *
  cjny: string; //从教年月
  lxdh: string; //联系电话
  dzxx: string; //电子信箱
  sortId: string; //排序号
}

export interface TableListPagination {
  total: number;
  pageSize: number;
  current: number;
  showTotal: any;
}

export interface TableListData {
  list: TableListItem[];
  pagination: Partial<TableListPagination>;
}

export interface TableListParams {
  sorter: string;
  status: string;
  name: string;
  pageSize: number;
  currentPage: number;
}
