import request from '@/utils/request';
// eslint-disable-next-line import/no-unresolved

/**
 * 教职工模块service
 * @param params
 */

//获取教职工列表(分页)
export async function PageTeacherInfo(params:{[key:string]:string}) {
  return request('/base/teacher/PageTeacherInfo', {
    params,
  });
}

//获取教职工信息
export async function GetTeacherInfo(params:{[key:string]:string}) {
  return request('/base/teacher/GetTeacherInfo', {
    params,
  });
}

//根据单位ID获取部门树
export async function GetOrgTreeInfo(params:{[key:string]:string}) {
  return request('/base/organization/GetOrgTreeInfo', {
    params,
  });
}

//增加教职工信息
export async function AddTeacherInfo(params:{[key:string]:string}) {
  return request('/base/teacher/AddTeacherInfo', {
    method: 'POST',
    data:{
      ...params
    },
  });
}

//修改教职工信息
export async function UpdateTeacherInfo(params:{[key:string]:string}) {
  return request('/base/teacher/UpdateTeacherInfo', {
    method: 'POST',
    data:{
      ...params
    },
  });
}

//删除教职工信息
export async function DeleteTeacherInfo(params:{[key:string]:string}) {
  return request('/base/teacher/DeleteTeacherInfo', {
    method: 'POST',
    data: {
      ...params,
    },
  });
}

//调整教职工部门
export async function ReviseTeacherOrg(params:{[key:string]:string}) {
  return request('/base/teacher/ReviseTeacherOrg', {
    method: 'POST',
    data: {
      ...params,
    },
  });
}

//启用账号信息
export async function EnableAccountInfo(params:{[key:string]:string}) {
  return request('/base/loginperson/EnableAccountInfo', {
    method: 'POST',
    data: {
      ...params,
    },
  });
}

//禁用账号信息
export async function DisableAccountInfo(params:{[key:string]:string}) {
  return request('/base/loginperson/DisableAccountInfo', {
    method: 'POST',
    data: {
      ...params,
    },
  });
}

//重置账号密码
export async function ResetManagerPassWord(params:{[key:string]:string}) {
  return request('/base/loginperson/ResetManagerPassWord', {
    method: 'POST',
    data: {
      ...params,
    },
  });
}


//获取角色信息
export async function GetRoleInfo(params:{[key:string]:string}) {
  debugger
  return request('/base/role/GetPersonRoleInfo', {
    params,
  });
}
//获取职务信息
export async function ListPositionByBureauId(params:{[key:string]:string}) {
  return request('/base/position/ListPositionByBureauId', {
    params,
  });
}
//调整学学校列表校 获取
export async function ListOrgByOrgKeyWord(params: { [key: string]: string }) {
  return request('/base/organization/ListOrgByOrgKeyWord', {
    params,
  });
}
// 根据教职工ID获取该教职工所在多单位列表
export async function PageTeacherMultipleBureauInfo(params: { [key: string]: string }) {
  return request('/base/teacher/PageTeacherMultipleBureauInfo', {
    params,
  });
}


//教师调转部门
export async function TeacherTransferInfo(params:{[key:string]:string}) {
  
  return request('/base/teacher/TeacherTransferInfo', {
    method: 'POST',
    data: {
      ...params,
    },
  });
}

//设置教师多单位
export async function SettingTeacherMultipleBureauInfo(params:{[key:string]:string}) {
  
  return request('/base/teacher/SettingTeacherMultipleBureauInfo', {
    method: 'POST',
    data: {
      ...params,
    },
  });
}
//设置主单位
export async function SettingMainOrgInfo(params:{[key:string]:string}) {
  
  return request('/base/teacher/SettingMainOrgInfo', {
    method: 'POST',
    data: {
      ...params,
    },
  });
}
//删除教职工所在多单位信息
export async function DeleteTeacherMultipleBureauInfo(params:{[key:string]:string}) {
  
  return request('/base/teacher/DeleteTeacherMultipleBureauInfo', {
    method: 'POST',
    data: {
      ...params,
    },
  });
}