import request from '@/utils/request';

export async function query(): Promise<any> {
  return request('/api/users');
}

export async function queryCurrent(): Promise<any> {
  return request('/api/currentUser');
}

// 获取人员角色信息
export async function GetPersonRoleInfo(): Promise<any> {
  return request('/base/role/GetPersonRoleInfo');
}

export async function queryNotices(): Promise<any> {
  return request('/api/notices');
}

//获取教职工信息
export async function GetTeacherInfo(params:{[key:string]:string}) {
  return request('/base/teacher/GetTeacherInfo', {
    params,
  });
}

//清除COOKIE
export async function RemoveCookie(params:{[key:string]:string}) {
  return request('/base/loginperson/RemoveCookie', {
    params,
  });
}

// 修改登录密码
export async function UpdateLoginPassWordInfo(params: {[key:string]:string} ) {
  return request('/base/loginperson/UpdateLoginPassWordInfo', {
    method: 'post',
    data: {
      ...params,
    },
  });
}

//获取已绑定的第三方授权
export async function GetBindAuthorizationInfo(params:{[key:string]:string}) {
  return request('/base/loginperson/GetBindAuthorizationInfo', {
    params,
  });
}

// 解除绑定第三方授权
export async function UnbindAuthorizationInfo(params: {[key:string]:string} ) {
  return request('/base/loginperson/UnbindAuthorizationInfo', {
    method: 'post',
    data: {
      ...params,
    },
  });
}


